Package com.pixelmed.utils

## Class XPathQuery

- java.lang.Object
- - com.pixelmed.utils.XPathQuery

-     public class XPathQuery
      extends java.lang.Object

  The `XPathQuery` class provides a command line utility for performing XPath queries against an XML file.

  For example, one can apply it to the XML representation of a DICOM object, as follows:

       java -cp pixelmed.jar com.pixelmed.utils.XPathQuery dicomfile.xml "//ImageType/value[@number=1] = 'ORIGINAL'"

  See Also:
    `XMLRepresentationOfDicomObjectFactory`

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `XPathQuery()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `getNamedAttributeValueOfElementNode​(org.w3c.dom.Node node, java.lang.String attributeName)` |
    `static void` | `main​(java.lang.String[] arg)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XPathQuery

          public XPathQuery()

  - ### Method Detail

    - #### getNamedAttributeValueOfElementNode

          public static java.lang.String getNamedAttributeValueOfElementNode​(org.w3c.dom.Node node,
                                                                             java.lang.String attributeName)

    - #### main

          public static void main​(java.lang.String[] arg)